## krecipes 2.0~alpha6

=== doc-translations/CMakeLists.txt ===
add_subdirectory( et_krecipes/krecipes )
add_subdirectory( pt_krecipes/krecipes )
add_subdirectory( pt_BR_krecipes/krecipes )
add_subdirectory( sv_krecipes/krecipes )
add_subdirectory( uk_krecipes/krecipes )

=== po/CMakeLists.txt ===
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hi )
add_subdirectory( hne )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( lt )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_TW )

=== src/CMakeLists.txt ===
include(FindLibXml2)
include(FindLibXslt)
include(FindQImageBlitz)

find_package(Sqlite2)
find_package(Sqlite)
find_package(QImageBlitz)
find_package(Nepomuk)
include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}
   ${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR} ${QIMAGEBLITZ_INCLUDES}
   ${CMAKE_CURRENT_SOURCE_DIR}/backends/
   ${CMAKE_CURRENT_SOURCE_DIR}/importers
   ${CMAKE_CURRENT_SOURCE_DIR}/exporters
   ${CMAKE_CURRENT_SOURCE_DIR}/actionshandlers
   ${CMAKE_CURRENT_SOURCE_DIR}/tests
)

########### QT3Support ###############

add_definitions (-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

############# backends ###############


include(ConfigureChecks.cmake)
configure_file(config-krecipes.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-krecipes.h )

# In case of having both sqlite 2.x and 3.x series we want to compile against 3.x
if ( SQLITE_FOUND )
   include_directories(${SQLITE_INCLUDE_DIR})
   set(sqlite_SRCS  backends/SQLite/libqsqlite/krecqsqlitedb.cpp backends/SQLite/libqsqlite/krecqsqliteresult.cpp backends/SQLite/literecipedb.cpp  backends/SQLite/qsql_sqlite.cpp)
elseif ( SQLITE2_FOUND )
   include_directories(${SQLITE2_INCLUDE_DIR})
   set(sqlite_SRCS  backends/SQLite/libqsqlite/krecqsqlitedb.cpp backends/SQLite/libqsqlite/krecqsqliteresult.cpp backends/SQLite/literecipedb.cpp  backends/SQLite/qsql_sqlite.cpp)
endif ( SQLITE_FOUND )   

set(mysql_SRCS backends/MySQL/mysqlrecipedb.cpp)

set(postgresql_SRCS backends/PostgreSQL/psqlrecipedb.cpp )

set(krecipesdbs_SRCS
   backends/recipedb.cpp
   backends/qsqlrecipedb.cpp
   backends/progressinterface.cpp
   backends/usda_property_data.cpp
   backends/usda_ingredient_data.cpp
   backends/usda_unit_data.cpp)

qt4_add_dbus_adaptor(krecipesdbs_SRCS backends/org.kde.krecipesdb.xml recipedb.h RecipeDB)


############ importers ###############

set(krecipesimporters_SRCS
   importers/mx2importer.cpp
   importers/mmfimporter.cpp
   importers/mxpimporter.cpp
   importers/nycgenericimporter.cpp
   importers/recipemlimporter.cpp
   importers/baseimporter.cpp
   importers/kreimporter.cpp
   importers/rezkonvimporter.cpp
   importers/kredbimporter.cpp)

######### Actions Handlers ###########

set(krecipesactionshandlers_SRCS
   actionshandlers/recipeactionshandler.cpp
   actionshandlers/actionshandlerbase.cpp
   actionshandlers/ingredientactionshandler.cpp
   actionshandlers/headeractionshandler.cpp
   actionshandlers/propertyactionshandler.cpp
   actionshandlers/unitactionshandler.cpp
   actionshandlers/prepmethodactionshandler.cpp
   actionshandlers/categoryactionshandler.cpp
   actionshandlers/authoractionshandler.cpp
)

############### widgets ##############

set(krecipeswidgets_SRCS
   widgets/krelistview.cpp
   widgets/kremenu.cpp
   widgets/paneldeco.cpp
   widgets/ingredientlistview.cpp
   widgets/unitlistview.cpp
   widgets/propertylistview.cpp
   widgets/prepmethodlistview.cpp
   widgets/categorylistview.cpp
   widgets/authorlistview.cpp
   widgets/recipelistview.cpp
   widgets/categorycombobox.cpp
   widgets/kretextedit.cpp
   widgets/dblistviewbase.cpp
   widgets/conversiontable.cpp
   widgets/fractioninput.cpp
   widgets/ingredientcombobox.cpp
   widgets/headercombobox.cpp
   widgets/prepmethodcombobox.cpp
   widgets/inglistviewitem.cpp
   widgets/kdateedit.cpp
   widgets/kdatepickerpopup.cpp
   widgets/headerlistview.cpp
   widgets/kwidgetlistbox.cpp
   widgets/criteriacombobox.cpp
   widgets/ingredientinputwidget.cpp
   widgets/unitcombobox.cpp
   widgets/amountunitinput.cpp
   widgets/weightinput.cpp
   widgets/thumbbar.cpp)


############## dialogs ###############

set(krecipesdialogs_SRCS
   dialogs/advancedsearchdialog.cpp
   dialogs/recipeimportdialog.cpp
   dialogs/dietwizarddialog.cpp
   dialogs/recipeinputdialog.cpp
   dialogs/recipeviewdialog.cpp
   dialogs/selectrecipedialog.cpp
   dialogs/ingredientsdialog.cpp
   dialogs/selectunitdialog.cpp
   dialogs/createelementdialog.cpp
   dialogs/propertiesdialog.cpp
   dialogs/createpropertydialog.cpp
   dialogs/selectpropertydialog.cpp
   dialogs/unitsdialog.cpp
   dialogs/dependanciesdialog.cpp
   dialogs/shoppinglistdialog.cpp
   dialogs/shoppinglistviewdialog.cpp
   dialogs/selectcategoriesdialog.cpp
   dialogs/categorieseditordialog.cpp
   dialogs/authorsdialog.cpp
   dialogs/selectauthorsdialog.cpp
   dialogs/resizerecipedialog.cpp
   dialogs/dietviewdialog.cpp
   dialogs/ingredientmatcherdialog.cpp
   dialogs/prepmethodsdialog.cpp
   dialogs/createcategorydialog.cpp
   dialogs/borderdialog.cpp
   dialogs/refineshoppinglistdialog.cpp
   dialogs/pagesetupdialog.cpp
   dialogs/dbimportdialog.cpp
   dialogs/createunitdialog.cpp
   dialogs/setupdisplay.cpp
   dialogs/ingredientparserdialog.cpp
   dialogs/ingredientgroupsdialog.cpp
   dialogs/editratingdialog.cpp
   dialogs/similarcategoriesdialog.cpp
   dialogs/conversiondialog.cpp
   dialogs/createingredientweightdialog.cpp
   dialogs/recipeprintpreview.cpp
   dialogs/editpropertiesdialog.cpp
   dialogs/createunitconversiondialog.cpp)


############# exporters ##############

set (krecipesexporters_SRCS 
   exporters/kreexporter.cpp
   exporters/baseexporter.cpp
   exporters/cookmlexporter.cpp
   exporters/recipemlexporter.cpp
   exporters/mmfexporter.cpp
   exporters/htmlexporter.cpp
   exporters/plaintextexporter.cpp
   exporters/rezkonvexporter.cpp
   exporters/htmlbookexporter.cpp
   exporters/xsltexporter.cpp
   )


############ datablocks ##############

set(datablocks_SRCS
   datablocks/recipelist.cpp
   datablocks/constraintlist.cpp
   datablocks/categorytree.cpp
   datablocks/kreborder.cpp
   datablocks/recipe.cpp
   datablocks/ingredient.cpp
   datablocks/ingredientlist.cpp
   datablocks/elementlist.cpp
   datablocks/element.cpp
   datablocks/ingredientproperty.cpp
   datablocks/ingredientpropertylist.cpp
   datablocks/unit.cpp
   datablocks/unitratio.cpp
   datablocks/unitratiolist.cpp
   datablocks/mixednumber.cpp
   datablocks/rating.cpp
   datablocks/weight.cpp)

############### common library ################
# The reason to have this static library is to compile some files
# once for *all* executables in this project.
# (i.e. I want to save CPU time when compiling with test programs)

kde4_add_library(libkrecipescommon STATIC
   ${mysql_SRCS} ${postgresql_SRCS} ${sqlite_SRCS} ${krecipesdbs_SRCS} 
   ${krecipesimporters_SRCS} ${krecipesexporters_SRCS}
   ${datablocks_SRCS} klomanager.cpp propertycalculator.cpp)

target_link_libraries(libkrecipescommon
   ${KDE4_KDECORE_LIBS} ${KDE4_KDE3SUPPORT_LIBS}
   ${QT_QTSQL_LIBRARY} ${NEPOMUK_LIBRARIES} 
   ${LIBXSLT_LIBRARIES} ${LIBXML2_LIBRARIES}) 

############### tests ################

if(KDE4_BUILD_TESTS)

set(TESTS kretest mmftest mx2test mxptest nyctest recipemltest rezkonvtest)

foreach(TEST ${TESTS})

set(TEST_SRCS tests/${TEST}.cpp)

kde4_add_executable(${TEST} ${TEST_SRCS})

target_link_libraries(${TEST} libkrecipescommon
   ${KDE4_KDECORE_LIBS} ${KDE4_KDE3SUPPORT_LIBS}
   ${QT_QTSQL_LIBRARY} ${NEPOMUK_LIBRARIES} 
   ${LIBXSLT_LIBRARIES} ${LIBXML2_LIBRARIES}) 

if ( SQLITE_FOUND )
   target_link_libraries(${TEST} ${SQLITE_LIBRARIES})
elseif ( SQLITE2_FOUND )
   target_link_libraries(${TEST} ${SQLITE2_LIBRARIES})
endif ( SQLITE_FOUND )

install(TARGETS ${TEST}
   DESTINATION ${DATA_INSTALL_DIR}/krecipes/tests)

install(FILES
   tests/${TEST}.txt
   DESTINATION ${DATA_INSTALL_DIR}/krecipes/tests)

endforeach(TEST)

install(FILES tests/test_photo.jpg
   DESTINATION ${DATA_INSTALL_DIR}/krecipes/tests)

endif(KDE4_BUILD_TESTS)

############# Main  #################

set(krecipes_SRCS 
   main.cpp 
   krecipes.cpp 
   krecipesview.cpp 
   pref.cpp 
   #propertycalculator.cpp 
   setupassistant.cpp 
   shoppingcalculator.cpp 
   kstartuplogo.cpp 
   recipefilter.cpp 
   convert_sqlite3.cpp 
   #klomanager.cpp
)


kde4_add_ui_files(krecipes_SRCS widgets/ratingdisplaywidget.ui)

qt4_add_dbus_adaptor(krecipes_SRCS org.kde.krecipes.xml krecipesview.h KrecipesView)


kde4_add_executable(krecipes
   ${krecipes_SRCS}
   ${krecipeswidgets_SRCS}
   ${krecipesdialogs_SRCS}
   ${krecipesactionshandlers_SRCS})

target_link_libraries(krecipes libkrecipescommon ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} ${QT_QTSQL_LIBRARY} ${LIBXSLT_LIBRARIES} ${LIBXML2_LIBRARIES} ${QIMAGEBLITZ_LIBRARIES} ${NEPOMUK_LIBRARIES})

if ( SQLITE_FOUND )
   target_link_libraries(krecipes ${SQLITE_LIBRARIES})
elseif ( SQLITE2_FOUND )
   target_link_libraries(krecipes ${SQLITE2_LIBRARIES})
endif ( SQLITE_FOUND )


install(TARGETS krecipes ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( FILES  krecipesui.rc DESTINATION ${DATA_INSTALL_DIR}/krecipes )
install( FILES  krecipes.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== debian/changelog ===
krecipes (2.0~alpha6-1) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release
  * Fix FTBFS with gcc 4.5, thanks to Pino Toscano for fixing this
    upstream (Closes: #565020)
  * Removed unneccesary build depends libmysqlclient-dev and libpq-dev
  * Added "DEB_KDE_LINK_WITH_AS_NEEDED := yes" to debian/rules

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 25 Jan 2010 16:40:39 +0100

krecipes (2.0~alpha5-1) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Drop 01_r1041280_fix_khtml_delete_issue.diff, merged upstream
  * Updated debian/copyright

  [ Scott Kitterman ]
  * Change doc path in krecipes-doc.install to work in both Debian and Ubuntu

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 10 Jan 2010 09:02:26 +0100

krecipes (2.0~alpha4-1) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release
  * Add 01_r1041280_fix_khtml_delete_issue.diff
  * Release to unstable

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 27 Oct 2009 20:06:05 +0100

krecipes (2.0~alpha3-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release
  * Updated debian/copyright

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 09 Oct 2009 20:19:43 +0200

krecipes (2.0~alpha2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release
  * Dropped fix_desktop_file.patch, merged upstream.
  * Added -dbg package
  * Minor fixes in debian/copyright: corrected the years for 3 copyright
    holders and added e-mail for Opie Project.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 20 Sep 2009 14:16:15 +0200

krecipes (2.0~alpha1-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release, bump to KDE 4
    - Added build depends: pkg-kde-tools, kdelibs5-dev, libqimageblits-dev,
      libxml2-dev, libxslt1-dev
    - Dropped build depends: autotools-dev, kdelibs4-dev, chrpath
    - Added recommends: libqt4-sql-sqlite, sqlite3
    - Added suggests: libqt4-sql-mysql, libqt4-sql-psql, mysql-client,
      postgresql-client 
    - Dropped suggests: libqt3-mt-mysql | libqt3-mt-psql
  * Added myself as uploader
  * Bump to standards 3.8.3, no changes needed
  * Install KRAZY file by krecipes package
  * Patch to add main category to the desktop file
  * Added sqlite3, mysql-client, postgresql-client as suggests, note that
    krecipes uses these clients to backup databases
  * Fixed typo in sample data (Closes: #538865)
  * Section changed from 'misc' to 'kde'
  * Refreshed man page, created with kdemangen.pl and edited by hand.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 01 Sep 2009 17:18:03 +0200

krecipes (1.0~beta2-1) unstable; urgency=low

  * New upstream release (Closes: #531675)
    - Fix crash at startup when using sqlite (Closes: #478030)
    - Added categories to .desktop file (Closes: #473367)
  * Moved the .desktop file to /usr/share/applications in krecipes binary
    package
  * debian/control:
    - Set myself as Uploader (Closes: #513860)
    - Build-Depend on debhelper >=7
    - Standards-Version 3.8.1
    - Added ${misc:Depends} to all binary packages
    - Added Build-Depends on autotools-dev
    - Added chrpath to Build-Depends 
    - Added Homepage to source package
    - Added Vcs-Browser and Vcs-Svn
    - Moved packages from section kde to misc
  * Set compat level to 7
  * Rewrote debian/copyright
  * Added debian/watch
  * Added man page for krecipes
  * Added lintian override for missing menu icon in krecipes, the icon is in
    krecipes-data
  * Added lintian override for missing man page because man page is in
    krecipes-data
  * krecipes' menu entry to Applications/Data Management 
  * Strip rpath from krecipes binary 
  * Added debian/README.source

 -- Matthias Julius <mdeb@julius-net.net>  Sat, 06 Jun 2009 00:18:25 -0400

krecipes (1.0~beta1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #455318)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 18:14:00 +0100

krecipes (1.0~beta1-1) unstable; urgency=low

  * New upstream release
  * Added watch file

 -- Julien Louis <ptitlouis@sysif.net>  Sun,  3 Sep 2006 05:17:28 +0200

krecipes (0.9.1-4) unstable; urgency=low

  * Add menu entry (Closes: #366784).

 -- Julien Louis <ptitlouis@sysif.net>  Thu, 11 May 2006 12:27:38 +0200

krecipes (0.9.1-3) unstable; urgency=low

  * Change krecipes-doc section from kde to doc
    which fix override disparities.
  * Fix typos in descriptions (Closes:  #365731).
  * Bump Standards-Version, no changes needed.

 -- Julien Louis <ptitlouis@sysif.net>  Tue,  2 May 2006 23:36:41 +0200

krecipes (0.9.1-2) unstable; urgency=low

  * Add a note about documentation in debian/copyright
  * set Maintainer to KDE Extra Team
  * Add myself to uploaders

 -- Julien Louis <ptitlouis@sysif.net>  Thu, 13 Apr 2006 19:44:02 +0200

krecipes (0.9.1-1) unstable; urgency=low

  * Initial release (closes: #309280).

 -- Julien Louis <ptitlouis@sysif.net>  Fri, 17 Mar 2006 23:43:12 +0100

=== debian/control ===
Source: krecipes
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Matthias Julius <mdeb@julius-net.net>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-kde-tools,
 kdelibs5-dev, libsqlite3-dev, libqimageblitz-dev, libxml2-dev, libxslt1-dev
Standards-Version: 3.8.3
Homepage: http://krecipes.sourceforge.net/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/krecipes/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/kde-extras/krecipes/trunk

Package: krecipes
Architecture: any
Depends: krecipes-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: libqt4-sql-sqlite, sqlite3
Suggests: libqt4-sql-mysql, libqt4-sql-psql, mysql-client, postgresql-client,
 krecipes-doc (= ${source:Version})
Description: recipes manager for KDE
 Krecipes is a KDE application designed to manage recipes. It can help you to
 do your shopping list, search through your recipes to find what you can do
 with available ingredients and a diet helper. It can also import or export
 recipes from files in various format (eg RecipeML or Meal-Master) or from
 databases.

Package: krecipes-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: krecipes (>= ${binary:Version})
Description: recipes manager for KDE - documentation
 Krecipes is a KDE application designed to manage recipes. It can help you to
 do your shopping list, search through your recipes to find what you can do
 with available ingredients and a diet helper. It can also import or export
 recipes from files in various format (eg. RecipeML or Meal-Master) or from
 databases.
 .
 This package contains the krecipes documentation.

Package: krecipes-data
Architecture: all
Depends: ${misc:Depends}
Description: recipes manager for KDE - data files
 Krecipes is a KDE application designed to manage recipes. It can help you to
 do your shopping list, search through your recipes to find what you can do
 with available ingredients and a diet helper. It can also import or export
 recipes from files in various format (eg RecipeML or Meal-Master) or from
 databases.
 .
 This package provides architecture independent files for krecipes.

Package: krecipes-dbg
Section: debug
Priority: extra
Architecture: any
Depends: krecipes (= ${binary:Version}), ${misc:Depends}
Description: recipes manager for KDE - debugging symbols
 Krecipes is a KDE application designed to manage recipes. It can help you to
 do your shopping list, search through your recipes to find what you can do
 with available ingredients and a diet helper. It can also import or export
 recipes from files in various format (eg RecipeML or Meal-Master) or from
 databases.
 .
 This package provides debugging symbols for krecipes.

## krecipes 2.0~beta1

=== debian/changelog ===
krecipes (2.0~beta1-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Bump Standards-Version to 3.9.0, no changes required

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 06 Jul 2010 19:26:25 +0200

krecipes (2.0~alpha6-2) unstable; urgency=low

  * Build depend on shared-desktop-ontologies and shared-mime-info
    (Closes: #581319)
  * Bump Standards-Version to 3.8.4, no changes required.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 12 May 2010 15:38:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Matthias Julius <mdeb@julius-net.net>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-kde-tools,
- kdelibs5-dev, libsqlite3-dev, libqimageblitz-dev, libxml2-dev, libxslt1-dev
-Standards-Version: 3.8.3
+ kdelibs5-dev, libsqlite3-dev, libqimageblitz-dev, libxml2-dev, libxslt1-dev,
+ shared-desktop-ontologies, shared-mime-info
+Standards-Version: 3.9.0
 Homepage: http://krecipes.sourceforge.net/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/krecipes/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/kde-extras/krecipes/trunk

## krecipes 2.0~beta2

=== CMakeLists.txt ===
project(krecipes)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake 
                      ${CMAKE_MODULE_PATH})

# search packages used by KDE

find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include(KDE4Defaults)

include(MacroLibrary)

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )

add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( pics )
add_subdirectory( data )
add_subdirectory( layouts )
add_subdirectory( mimetypes )
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )
add_subdirectory( doc )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( pt_krecipes/krecipes )
add_subdirectory( pt_BR_krecipes/krecipes )
add_subdirectory( sv_krecipes/krecipes )
add_subdirectory( uk_krecipes/krecipes )

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
SUBDIR krecipes)

=== mimetypes/CMakeLists.txt ===
set(SHARED_MIME_INFO_MINIMUM_VERSION "0.20")
find_package(SharedMimeInfo REQUIRED)

install(FILES krecipes-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+add_subdirectory( bg )
 add_subdirectory( ca )
 add_subdirectory( ca@valencia )
 add_subdirectory( cs )
@@ -13,10 +14,13 @@
 add_subdirectory( gl )
 add_subdirectory( hi )
 add_subdirectory( hne )
+add_subdirectory( hr )
+add_subdirectory( hu )
 add_subdirectory( is )
 add_subdirectory( it )
 add_subdirectory( ja )
 add_subdirectory( lt )
+add_subdirectory( mai )
 add_subdirectory( nb )
 add_subdirectory( nds )
 add_subdirectory( nl )

=== po/it/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( it ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== doc-translations/pt_krecipes/krecipes/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt/)

=== debian/changelog ===
krecipes (2.0~beta2-3) unstable; urgency=low

  * Add libqtwebkit-dev to Build-Depends (Closes: #618245)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 22 Mar 2011 17:39:28 +0100

krecipes (2.0~beta2-2) unstable; urgency=low

  * Upload to unstable.
  * Point debian/control Vcs fields to the new Git repository. 

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Feb 2011 23:27:12 +0100

krecipes (2.0~beta2-1) experimental; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.1, no changes required

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 Nov 2010 21:05:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-kde-tools,
  kdelibs5-dev, libsqlite3-dev, libqimageblitz-dev, libxml2-dev, libxslt1-dev,
- shared-desktop-ontologies, shared-mime-info
-Standards-Version: 3.9.0
+ libqtwebkit-dev, shared-desktop-ontologies, shared-mime-info
+Standards-Version: 3.9.1
 Homepage: http://krecipes.sourceforge.net/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/krecipes/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/kde-extras/krecipes/trunk
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/krecipes.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/krecipes.git
 
 Package: krecipes
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
  
# Add here any variable or target overrides you need

DEB_INSTALL_DOCS_krecipes = KRAZY cmake/COPYING-CMAKE-SCRIPTS
DEB_DH_STRIP_ARGS = --dbg-package=krecipes-dbg

DEB_KDE_LINK_WITH_AS_NEEDED := yes

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk

install/krecipes-data::
	install -D -m 644 -g root -o root debian/krecipes.xpm debian/tmp/usr/share/pixmaps/krecipes.xpm

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]
	@@dpatch-get-origtargz ../tarballs

=== debian/watch ===
version=3

opts="uversionmangle=s/-/~/" \
  http://sf.net/krecipes/krecipes-(.+)\.tar\.gz

## krecipes 2.1.0

=== data/CMakeLists.txt ===
install( FILES  data-en_US.sql abbrev.txt weight.txt samples-en_US.kreml samples-cs_CZ.kreml property-data-en_US.txt ingredient-data-en_US.txt unit-data-en_US.txt prep-data-en_US.txt DESTINATION ${DATA_INSTALL_DIR}/krecipes/data )

=== doc/CMakeLists.txt ===
add_subdirectory(uk)
add_subdirectory(sv)
add_subdirectory(en_US)
add_subdirectory(pt_BR)

=== layouts/CMakeLists.txt ===
install( FILES  None.klo  	    Default.xsl Default.css Default.png  	    Two_Column.xsl Two_Column.css Two_Column.png  	    Simple_Orange.xsl Simple_Orange.css Simple_Orange.png  	    Simple_Green.xsl Simple_Green.css box_bottom.gif box_top.gif Simple_Green.png  	    Book.xsl Book.css paper.gif Book.png DESTINATION ${DATA_INSTALL_DIR}/krecipes/layouts )

=== pics/CMakeLists.txt ===
FILE(GLOB pngfiles *.png)
install( FILES ${pngfiles} DESTINATION ${DATA_INSTALL_DIR}/krecipes/pics )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(bs)
add_subdirectory(en_GB)
add_subdirectory(el)
add_subdirectory(sl)
add_subdirectory(uk)
add_subdirectory(da)
add_subdirectory(nb)
add_subdirectory(sk)
add_subdirectory(ja)
add_subdirectory(pt)
add_subdirectory(pl)
add_subdirectory(zh_TW)
add_subdirectory(de)
add_subdirectory(tr)
add_subdirectory(it)
add_subdirectory(sv)
add_subdirectory(cs)
add_subdirectory(nds)
add_subdirectory(pt_BR)
add_subdirectory(et)
add_subdirectory(ca@valencia)
add_subdirectory(hu)
add_subdirectory(es)
add_subdirectory(ru)
add_subdirectory(kk)
add_subdirectory(ca)
add_subdirectory(nl)
add_subdirectory(gl)
add_subdirectory(fr)
add_subdirectory(fi)

=== src/CMakeLists.txt ===
find_package(LibXml2 REQUIRED)
find_package(LibXslt REQUIRED)
include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}
   ${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/backends/
   ${CMAKE_CURRENT_SOURCE_DIR}/threadedqueries
   ${CMAKE_CURRENT_SOURCE_DIR}/importers
   ${CMAKE_CURRENT_SOURCE_DIR}/exporters
   ${CMAKE_CURRENT_SOURCE_DIR}/actionshandlers
   ${CMAKE_CURRENT_SOURCE_DIR}/tests
)

########### QT3Support ###############

add_definitions (-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

############# backends ###############

set(sqlite_SRCS backends/SQLite/literecipedb.cpp)

set(mysql_SRCS backends/MySQL/mysqlrecipedb.cpp)

set(postgresql_SRCS backends/PostgreSQL/psqlrecipedb.cpp )

set(krecipesdbs_SRCS
   backends/recipedb.cpp
   backends/qsqlrecipedb.cpp
   backends/progressinterface.cpp
   backends/usda_property_data.cpp
   backends/usda_ingredient_data.cpp
   backends/usda_unit_data.cpp)

qt4_add_dbus_adaptor(krecipesdbs_SRCS backends/org.kde.krecipesdb.xml recipedb.h RecipeDB)


############ importers ###############

set(krecipesimporters_SRCS
   importers/mx2importer.cpp
   importers/mmfimporter.cpp
   importers/mxpimporter.cpp
   importers/nycgenericimporter.cpp
   importers/recipemlimporter.cpp
   importers/baseimporter.cpp
   importers/kreimporter.cpp
   importers/rezkonvimporter.cpp
   importers/kredbimporter.cpp)

##### Threaded database queries  #####

set(krecipesthreadedqueries_SRCS
   threadedqueries/loadingauthorsthread.cpp
)

######### Actions Handlers ###########

set(krecipesactionshandlers_SRCS
   actionshandlers/recipeactionshandler.cpp
   actionshandlers/kregenericactionshandler.cpp
   actionshandlers/ingredientactionshandler.cpp
   actionshandlers/headeractionshandler.cpp
   actionshandlers/propertyactionshandler.cpp
   actionshandlers/unitactionshandler.cpp
   actionshandlers/prepmethodactionshandler.cpp
   actionshandlers/krecategoryactionshandler.cpp
   actionshandlers/kreauthoractionshandler.cpp

   #FIXME: The classes below are deprecated and must be removed sooner or later.
   actionshandlers/actionshandlerbase.cpp
   actionshandlers/categoryactionshandler.cpp
)

############### widgets ##############

set(krecipeswidgets_SRCS
   widgets/clickablelabel.cpp
   widgets/krelistview.cpp
   widgets/kremenu.cpp
   widgets/paneldeco.cpp
   widgets/ingredientlistview.cpp
   widgets/unitlistview.cpp
   widgets/propertylistview.cpp
   widgets/prepmethodlistview.cpp
   widgets/krecategorieslistwidget.cpp
   widgets/kreauthorlistwidget.cpp
   widgets/recipelistview.cpp
   widgets/categorycombobox.cpp
   widgets/kretextedit.cpp
   widgets/kregenericlistwidget.cpp
   widgets/kreconversiontable.cpp
   widgets/fractioninput.cpp
   widgets/ingredientcombobox.cpp
   widgets/headercombobox.cpp
   widgets/prepmethodcombobox.cpp
   widgets/inglistviewitem.cpp
   widgets/kdateedit.cpp
   widgets/kdatepickerpopup.cpp
   widgets/headerlistview.cpp
   widgets/kwidgetlistbox.cpp
   widgets/criteriacombobox.cpp
   widgets/ingredientinputwidget.cpp
   widgets/unitcombobox.cpp
   widgets/amountunitinput.cpp
   widgets/weightinput.cpp
   widgets/thumbbar.cpp

   #FIXME: The classes below are deprecated and must be removed sooner or later.
   widgets/authorlistview.cpp #replaced by kreauthorlistwidget.cpp
   widgets/dblistviewbase.cpp #replaced by kregenericlistwidget.cpp
   widgets/categorylistview.cpp #replaced by krecategorieslistwidget.cpp
   widgets/conversiontable.cpp #replaced by kreconversiontable.cpp

)


############## dialogs ###############

set(krecipesdialogs_SRCS
   dialogs/advancedsearchdialog.cpp
   dialogs/recipeimportdialog.cpp
   dialogs/dietwizarddialog.cpp
   dialogs/recipeinputdialog.cpp
   dialogs/recipeviewdialog.cpp
   dialogs/selectrecipedialog.cpp
   dialogs/ingredientsdialog.cpp
   dialogs/selectunitdialog.cpp
   dialogs/createelementdialog.cpp
   dialogs/propertiesdialog.cpp
   dialogs/createpropertydialog.cpp
   dialogs/selectpropertydialog.cpp
   dialogs/unitsdialog.cpp
   dialogs/dependanciesdialog.cpp
   dialogs/shoppinglistdialog.cpp
   dialogs/shoppinglistviewdialog.cpp
   dialogs/selectcategoriesdialog.cpp
   dialogs/categorieseditordialog.cpp
   dialogs/authorsdialog.cpp
   dialogs/selectauthorsdialog.cpp
   dialogs/resizerecipedialog.cpp
   dialogs/dietviewdialog.cpp
   dialogs/ingredientmatcherdialog.cpp
   dialogs/prepmethodsdialog.cpp
   dialogs/createcategorydialog.cpp
   dialogs/borderdialog.cpp
   dialogs/refineshoppinglistdialog.cpp
   dialogs/pagesetupdialog.cpp
   dialogs/dbimportdialog.cpp
   dialogs/createunitdialog.cpp
   dialogs/setupdisplay.cpp
   dialogs/ingredientparserdialog.cpp
   dialogs/ingredientgroupsdialog.cpp
   dialogs/editratingdialog.cpp
   dialogs/similarcategoriesdialog.cpp
   dialogs/conversiondialog.cpp
   dialogs/createingredientweightdialog.cpp
   dialogs/editpropertiesdialog.cpp
   dialogs/createunitconversiondialog.cpp)

kde4_add_ui_files(krecipesdialogs_SRCS
   dialogs/resizerecipedialog.ui
   )


############# exporters ##############

set (krecipesexporters_SRCS
   exporters/kreexporter.cpp
   exporters/baseexporter.cpp
   exporters/cookmlexporter.cpp
   exporters/recipemlexporter.cpp
   exporters/mmfexporter.cpp
   exporters/htmlexporter.cpp
   exporters/plaintextexporter.cpp
   exporters/rezkonvexporter.cpp
   exporters/htmlbookexporter.cpp
   exporters/xsltexporter.cpp
   exporters/mx2exporter.cpp
   )


############ datablocks ##############

set(datablocks_SRCS
   datablocks/recipelist.cpp
   datablocks/constraintlist.cpp
   datablocks/categorytree.cpp
   datablocks/kreborder.cpp
   datablocks/recipe.cpp
   datablocks/ingredient.cpp
   datablocks/ingredientlist.cpp
   datablocks/elementlist.cpp
   datablocks/element.cpp
   datablocks/ingredientproperty.cpp
   datablocks/ingredientpropertylist.cpp
   datablocks/unit.cpp
   datablocks/unitratio.cpp
   datablocks/unitratiolist.cpp
   datablocks/mixednumber.cpp
   datablocks/rating.cpp
   datablocks/ratingcriteria.cpp
   datablocks/weight.cpp
   datablocks/yield.cpp
   )


############ validators ##############

set(validators_SRCS
   validators/mixednumbervalidator.cpp
   )


############### common library ################
# The reason to have this static library is to compile some files
# once for *all* executables in this project.
# (i.e. I want to save CPU time when compiling with test programs)

kde4_add_library(krecipescommon STATIC
   ${mysql_SRCS} ${postgresql_SRCS} ${sqlite_SRCS} ${krecipesdbs_SRCS}
   ${krecipesimporters_SRCS} ${krecipesexporters_SRCS}
   ${datablocks_SRCS} ${krecipesthreadedqueries_SRCS}
   ${validators_SRCS}
   klomanager.cpp propertycalculator.cpp)

target_link_libraries(krecipescommon
   ${KDE4_KDECORE_LIBS} ${KDE4_KDE3SUPPORT_LIBS}
   ${QT_QTSQL_LIBRARY}
   ${LIBXSLT_LIBRARIES} ${LIBXML2_LIBRARIES})

############### tests ################


set(IMPORT_EXPORT_TESTS
    kretest mmftest mx2test mxptest nyctest recipemltest rezkonvtest
    )

set(DATABLOCKS_TESTS
    rating
    ratingcriteria
    yield
    unit
    unitratio
    unitratiolist
    weight
    mixednumber
    )

set(DATABASE_TESTS
    authors
    encoding
    )

macro(add_import_export_test _TEST)
    if(KDE4_BUILD_TESTS)
        kde4_add_executable(krecipes-import-export-${_TEST} tests/import-export/${_TEST}.cpp)
        target_link_libraries(krecipes-import-export-${_TEST} ${UNIT_TEST_LIBRARIES})

        set(_TEST_DATA
            ${CMAKE_CURRENT_SOURCE_DIR}/tests/import-export/${_TEST}.txt
            ${CMAKE_CURRENT_SOURCE_DIR}/tests/import-export/test_photo.jpg)

        add_test(NAME krecipes-import-export-${_TEST}
            COMMAND $<TARGET_FILE:krecipes-import-export-${_TEST}> ${_TEST_DATA})
    endif(KDE4_BUILD_TESTS)
endmacro(add_import_export_test)

macro(add_datablocks_test _TEST)
    kde4_add_unit_test(krecipes-datablocks-${_TEST} tests/datablocks/${_TEST}.cpp)
    target_link_libraries(krecipes-datablocks-${_TEST} ${UNIT_TEST_LIBRARIES})
endmacro(add_datablocks_test)

macro(add_database_test _TEST)
    kde4_add_unit_test(krecipes-database-${_TEST} tests/database/${_TEST}.cpp)
    target_link_libraries(krecipes-database-${_TEST} ${UNIT_TEST_LIBRARIES})
endmacro(add_database_test)

set(UNIT_TEST_LIBRARIES krecipescommon
    ${KDE4_KDECORE_LIBS} ${KDE4_KDE3SUPPORT_LIBS}
    ${QT_QTSQL_LIBRARY}  ${QT_QTTEST_LIBRARY}
    ${LIBXSLT_LIBRARIES} ${LIBXML2_LIBRARIES}
    )

foreach(_TEST ${IMPORT_EXPORT_TESTS})
    add_import_export_test(${_TEST})
endforeach(_TEST)
foreach(_TEST ${DATABLOCKS_TESTS})
    add_datablocks_test(${_TEST})
endforeach(_TEST)
foreach(_TEST ${DATABASE_TESTS})
    add_database_test(${_TEST})
endforeach(_TEST)


############# NukeDB #################

if(BUILD_NUKEDB)
   set(nukedb_SRCS
      nukedb/main.cpp
      nukedb/mainwindow.cpp
      nukedb/nukeconfigwidget.cpp
   )

   kde4_add_ui_files(nukedb_SRCS
      nukedb/nukeconfigwidget.ui
   )

   kde4_add_executable(nukedb ${nukedb_SRCS})
   target_link_libraries(nukedb krecipescommon ${KDE4_KDEUI_LIBS})

   install(TARGETS nukedb ${INSTALL_TARGETS_DEFAULT_ARGS})
endif(BUILD_NUKEDB)


############# Main  #################

set(krecipes_SRCS
   main.cpp
   krecipes.cpp
   krecipesview.cpp
   pref.cpp
   #propertycalculator.cpp
   setupassistant.cpp
   shoppingcalculator.cpp
   kstartuplogo.cpp
   recipefilter.cpp
   convert_sqlite3.cpp
   #klomanager.cpp
)


kde4_add_ui_files(krecipes_SRCS
   widgets/ratingdisplaywidget.ui
   widgets/kregenericlistwidget.ui
)

qt4_add_dbus_adaptor(krecipes_SRCS org.kde.krecipes.xml krecipesview.h KrecipesView)


kde4_add_executable(krecipes
   ${krecipes_SRCS}
   ${krecipeswidgets_SRCS}
   ${krecipesdialogs_SRCS}
   ${krecipesactionshandlers_SRCS})

target_link_libraries(krecipes krecipescommon ${KDE4_KHTML_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KDE3SUPPORT_LIBS} ${QT_QTSQL_LIBRARY} ${LIBXSLT_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_QTWEBKIT_LIBRARY} ${KDE4_KDEWEBKIT_LIBS})


install(TARGETS krecipes ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( FILES  krecipesui.rc DESTINATION ${DATA_INSTALL_DIR}/krecipes )
install( PROGRAMS  krecipes.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== doc/en_US/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR krecipes )

=== doc/pt_BR/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR SUBDIR krecipes )

=== doc/sv/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv SUBDIR krecipes )

=== doc/uk/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk SUBDIR krecipes )

=== debian/changelog ===
krecipes (2.1.0-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit b4f0a78ad630e397bac9deafb4d91dc9edbe6ecb to set
    the cmake minimum version required and policies, and build properly with
    that; patch
    upstream_set-cmake_min_req-to-match-kdelibs-policy-and-enable.patch.
    - avoid adding the 'doc' subdirectory twice; patch cmake-subdirs.diff
  * Remove krecipes-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove obsolete get-orig-source target from rules, uscan is enough.
  * Update watch file to version 4, and remove the sf.net origin.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jun 2016 15:54:02 +0200

krecipes (2.1.0-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Backport upstream commit f6d4f709ec57835b3fa4a660239a07321c9d02ff to fix
    build with GCC 6; patch upstream_Fix-flags-for-KFontDialog-getFont.patch.
    (Closes: #811853)

 -- Pino Toscano <pino@debian.org>  Sun, 14 Feb 2016 09:17:45 +0100

krecipes (2.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release. (Closes: #776377)
  * Bump the debhelper compatibility to 9:
    - bump the debhelper build dependency to 9
    - bump compat to 9
  * Sort the .install files, and strip the debian/tmp prefix.
  * Migrate to the dh sequencer:
    - use the dh sequencer in rules, using the kde addon, with parallel build,
      and in as-needed mode
    - drop the cdbs build dependency
    - do not run the tests for now, some of them fail
  * Update the Vcs-* headers.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Update watch file to look also on download.kde.org.
  * Add the pkg-config build dependency.
  * Remove unused lintian overrides.
  * Migrate copyright to copyright-format v1.0, and update it.
  * Drop menu file and its pixmap, since krecipes already provides a .desktop
    file.
  * Remove unused libsqlite3-dev, libqimageblitz-dev, and
    shared-desktop-ontologies build dependencies.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Nov 2015 11:28:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Matthias Julius <mdeb@julius-net.net>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: cdbs, debhelper (>= 7), cmake, pkg-kde-tools,
- kdelibs5-dev, libsqlite3-dev, libqimageblitz-dev, libxml2-dev, libxslt1-dev,
- libqtwebkit-dev, shared-desktop-ontologies, shared-mime-info
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools, pkg-config,
+ kdelibs5-dev, libxml2-dev, libxslt1-dev,
+ libqtwebkit-dev, shared-mime-info
+Standards-Version: 3.9.8
 Homepage: http://krecipes.sourceforge.net/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/krecipes.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/krecipes.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/krecipes.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/krecipes.git
 
 Package: krecipes
 Architecture: any
@@ -50,18 +50,3 @@
  databases.
  .
  This package provides architecture independent files for krecipes.
-
-Package: krecipes-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: krecipes (= ${binary:Version}), ${misc:Depends}
-Description: recipes manager for KDE - debugging symbols
- Krecipes is a KDE application designed to manage recipes. It can help you to
- do your shopping list, search through your recipes to find what you can do
- with available ingredients and a diet helper. It can also import or export
- recipes from files in various format (eg RecipeML or Meal-Master) or from
- databases.
- .
- This package provides debugging symbols for krecipes.
-

=== debian/rules ===
#!/usr/bin/make -f
  
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_strip:
	dh_strip --dbgsym-migration='krecipes-dbg (<< 2.1.0-3~)'

override_dh_auto_test:

=== debian/watch ===
version=4

http://download.kde.org/stable/krecipes/([\d.]+)/src/krecipes-([\d.]+)\.tar\.xz
